%define upstream_name    Dist-Zilla-Plugin-Test-EOL
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Author tests making sure correct line endings are used
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla) >= 5.0.0
BuildRequires: perl(Dist::Zilla::Plugin::InlineFiles)
BuildRequires: perl(Dist::Zilla::Role::TextTemplate)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util)
BuildRequires: perl(Moose)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::EOL) >= 1.100.0
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Script) >= 1.50.0
BuildRequires: perl(Test::Warnings)
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This is an extension of the Dist::Zilla::Plugin::InlineFiles manpage,
providing the following files:

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-4.mga8
+ Revision: 1504207
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 0.190.0-3.mga7
+ Revision: 1283343
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.190.0-2.mga7
+ Revision: 1164267
- rebuild with fixed rpm for missing autodeps

* Fri Sep 22 2017 sander85 <sander85> 0.190.0-1.mga7
+ Revision: 1157731
- update to 0.19

* Sun Jun 19 2016 pterjan <pterjan> 0.180.0-3.mga6
+ Revision: 1026598
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.180.0-2.mga6
+ Revision: 967446
- Mageia 6 Mass Rebuild

* Tue Jun 30 2015 sander85 <sander85> 0.180.0-1.mga6
+ Revision: 848943
- update to 0.18

* Wed Oct 15 2014 umeabot <umeabot> 0.120.0-3.mga5
+ Revision: 743550
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.120.0-1.mga5
+ Revision: 614743
- update to 0.12

* Sat Feb 08 2014 sander85 <sander85> 0.100.0-1.mga5
+ Revision: 586539
- update to 0.10

* Sat Oct 19 2013 umeabot <umeabot> 0.80.0-2.mga4
+ Revision: 534138
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.80.0-1.mga4
+ Revision: 476318
- update to 0.08

* Sun Jan 13 2013 umeabot <umeabot> 0.70.0-2.mga3
+ Revision: 366472
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.70.0-1.mga3
+ Revision: 254895
- update to 0.07

* Wed Jan 25 2012 jquelin <jquelin> 0.40.0-1.mga2
+ Revision: 200857
- update to 0.04

* Thu Dec 15 2011 jquelin <jquelin> 0.30.0-1.mga2
+ Revision: 181812
- imported package perl-Dist-Zilla-Plugin-Test-EOL


* Thu Dec 15 2011 cpan2dist 0.03-1mga
- initial mageia release, generated with cpan2dist
